=== debian/changelog ===
repmgr2 (2.0.3-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg (jenkins-build-source-272, source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Thu, 30 Mar 2017 19:40:51 +0200

repmgr2 (2.0.3-2.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-repmgr2-source-distribution=sid-5, git
    revision 3878160e1d7934bcdcc1bb71a7d302f4a6f938a8)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Thu, 30 Apr 2015 13:38:20 +0200

repmgr2 (2.0.3-2) unstable; urgency=medium

  * Make -dbg packages replacing the old repmgr-dbg package, to smooth the upgrade.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 30 Apr 2015 12:55:25 +0200

repmgr2 (2.0.3-1) unstable; urgency=medium

  * Strip down the packaging to the only executables.
  * debian/watch: enable cryptographic signature verification
  * Filter debian/* directory during gbp import-orig
  * Set debhelper compatibility level to 9
  * Bump Standards-Version to 3.9.6, no changes required
  * Move repmgr under pg_wrapper. It will allow the user to have a
    different repmgr executable for each PostgreSQL version.
  * Remove manpages. They are badly outdated.
  * Updated debian/copyright
  * Imported Upstream version 2.0.3
  * Add fix-missing-libpq-include.patch to allow compilation with a libpq
    newer than PostgreSQL
  * Fix empty -dbg packages when supporting multiple PostgreSQL versions
  * Depends on repmgr-common >= 3.0.1-3 package which contains common
    files and init scripts.

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Apr 2015 17:24:30 +0200

repmgr (2.0-3) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/rules: Remove $(LIBS) from repmgr(d), it isn't needed and would
    needlessly require a build-dependency on selinux now that PostgreSQL 9.4
    build-depends on it.

  [ Marco Nenciarini ]
  * Use "9.0+" in debian/pgversions and B-D on pg-server-dev-all 148.

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 27 Jul 2014 11:53:22 +0200

repmgr (2.0-2) unstable; urgency=medium

  * Split out REPMGRD_CONF from REPMGRD_OPTS variable in default file.
    Change the init script to check if REPMGRD_CONF is set. The
    REPMGRD_OPTS is now optional.
  * Change the init script to use repmgrd native ability to daemonize and
    write a pidfile

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Mar 2014 20:02:42 +0100

repmgr (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Add --background option to repmgrd init script start action and fix
    status action.  Thanks to József Kószó
  * Use "-f" instead of "--config_file" in REPMGRD_OPTS variable of
    repmgrd default file
  * Remove "set -e" from the repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 21 Mar 2014 23:09:21 +0100

repmgr (2.0~rc2-1) unstable; urgency=medium

  * Update watch file to correctly mangle uppercase RC versions
  * Imported Upstream version 2.0~rc2
  * Update debian patches
  * Add autofailover_quick_setup.rst to installed documents
  * Install repmgr.sql and uninstall_repmgr.sql as examples
  * Add repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 04 Mar 2014 16:41:10 +0100

repmgr (2.0~beta2-3) unstable; urgency=low

  [ Christoph Berg ]
  * Add basic regression tests and run them with autopkgtest

  [ Marco Nenciarini ]
  * Update debian-makefile patch to build repmgr_funcs.so against the right
    PostgreSQL version
  * Add format-attribute-check patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 31 Dec 2013 20:27:06 +0100

repmgr (2.0~beta2-2) unstable; urgency=low

  * Fix missing reference to bug #724216 in 2.0~beta2-1 changelog

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Dec 2013 09:15:46 +0100

repmgr (2.0~beta2-1) unstable; urgency=low

  * Fix version mangling in debian/watch
  * Add Vcs-* fields in control file
  * Support PostgreSQL 9.3 version
  * Imported Upstream version 2.0~beta2 (Closes: #724216)
  * Removed lintian-spelling patch, fixed upstream.
  * Remove useless dh_auto_install call in override_dh_auto_install target
    from debian/rules
  * Bump standard version to 3.9.5.0 (no-chenges)
  * Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 26 Dec 2013 19:45:38 +0100

repmgr (2.0~beta1-2) unstable; urgency=low

  * Add debugging symbols package repmgr-dbg

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Nov 2012 11:40:12 +0100

repmgr (2.0~beta1-1) unstable; urgency=low

  * Initial release (Closes: #609719)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 07 Nov 2012 13:00:27 +0100
