=== debian/control ===
Source: repmgr2
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 148~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev
Standards-Version: 3.9.6
Homepage: http://www.repmgr.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr2.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr2.git
XS-Testsuite: autopkgtest

Package: postgresql-9.0-repmgr
Architecture: any
Depends: postgresql-9.0, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.0
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.0.

Package: postgresql-9.0-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.0-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.0
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.0.

Package: postgresql-9.1-repmgr
Architecture: any
Depends: postgresql-9.1, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.1
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.1.

Package: postgresql-9.1-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.1-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.1
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.1.

Package: postgresql-9.2-repmgr
Architecture: any
Depends: postgresql-9.2, repmgr-common (>= 3.0.1-3), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.2
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.2.

Package: postgresql-9.2-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.2-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.2
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.2.
